"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var styles_1 = require("@material-ui/core/styles");
var Hidden = function (_a) {
    var above = _a.above, below = _a.below, inline = _a.inline, children = _a.children;
    var theme = styles_1.useTheme();
    var indexOfHideBelowBreakpoint = below
        ? theme.breakpoints.keys.indexOf(below)
        : -1;
    var indexOfHideAboveBreakpoint = above
        ? theme.breakpoints.keys.indexOf(above)
        : theme.breakpoints.keys.length;
    var display = theme.breakpoints.keys.map(function (_key, index) {
        return index <= indexOfHideAboveBreakpoint &&
            index >= indexOfHideBelowBreakpoint
            ? inline
                ? 'inline'
                : 'block'
            : 'none';
    });
    return (react_1.default.createElement(Box_1.default, { component: inline ? 'span' : 'div', display: display }, children));
};
exports.default = Hidden;
