"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var link_1 = __importDefault(require("next/link"));
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var NextLinkWithAnchor = function (_a, ref) {
    var href = _a.href, as = _a.as, passHref = _a.passHref, replace = _a.replace, scroll = _a.scroll, shallow = _a.shallow, className = _a.className, children = _a.children;
    return (react_1.default.createElement(link_1.default, { href: href, as: as, passHref: passHref, replace: replace, scroll: scroll, shallow: shallow },
        react_1.default.createElement("a", { ref: ref, className: className }, children)));
};
var Link = function (_a, ref) {
    var href = _a.href, children = _a.children, as = _a.as, passHref = _a.passHref, replace = _a.replace, scroll = _a.scroll, shallow = _a.shallow, className = _a.className, _b = _a.underline, underline = _b === void 0 ? 'none' : _b;
    return (react_1.default.createElement(Link_1.default, { underline: underline, component: react_1.forwardRef(NextLinkWithAnchor), ref: ref, className: className, href: href, as: as, passHref: passHref, replace: replace, scroll: scroll, shallow: shallow }, children));
};
exports.default = react_1.forwardRef(Link);
