"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tiles = void 0;
var react_1 = __importDefault(require("react"));
var Box_1 = __importDefault(require("./Box"));
var toResponsiveProps_1 = __importDefault(require("../modules/toResponsiveProps"));
var react_keyed_flatten_children_1 = __importDefault(require("react-keyed-flatten-children"));
var useNegativeTopMargin_1 = __importDefault(require("../modules/useNegativeTopMargin"));
var negative = function (positiveNumber) { return -positiveNumber; };
exports.Tiles = function (_a) {
    var children = _a.children, space = _a.space, columns = _a.columns;
    var responsivePadding = toResponsiveProps_1.default(space || 0);
    var responsiveColumns = toResponsiveProps_1.default(columns);
    var classes = useNegativeTopMargin_1.default(responsivePadding);
    var marginLeft = responsivePadding.map(negative);
    var flexBasis = responsiveColumns.map(function (columns) { return 100 / columns + '%'; });
    return (react_1.default.createElement(Box_1.default, { className: classes.root },
        react_1.default.createElement(Box_1.default, { marginLeft: marginLeft, flexWrap: 'wrap', display: 'flex' }, react_keyed_flatten_children_1.default(children).map(function (child, index) { return (react_1.default.createElement(Box_1.default, { minWidth: '0%', flexGrow: '0', flexShrink: '0', flexBasis: flexBasis, key: index },
            react_1.default.createElement(Box_1.default, { height: '100%', paddingTop: space, paddingLeft: space }, child))); }))));
};
exports.default = exports.Tiles;
