"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.preRenderCodeExamplesToAvoidMinifiedExamplesInProduction = exports.preRenderCodeExample = void 0;
var react_1 = __importStar(require("react"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var PlayCircleOutline_1 = __importDefault(require("@material-ui/icons/PlayCircleOutline"));
var Button_1 = __importDefault(require("@material-ui/core/Button"));
var Stack_1 = __importDefault(require("../Stack"));
var Box_1 = __importDefault(require("../Box"));
var react_element_to_jsx_string_1 = __importDefault(require("react-element-to-jsx-string"));
var standalone_1 = __importDefault(require("prettier/standalone"));
var parser_typescript_1 = __importDefault(require("prettier/parser-typescript"));
var react_syntax_highlighter_1 = require("react-syntax-highlighter");
var prism_1 = require("react-syntax-highlighter/dist/cjs/styles/prism");
var playroom_1 = require("playroom");
var baseUrl = process.env.NODE_ENV === 'development'
    ? "http://localhost:2223/"
    : "https://mui-primitives.hackart.live/playroom";
var usePrettierToFormatSnippet = function (snippet) {
    return standalone_1.default
        .format(snippet, {
        parser: 'typescript',
        plugins: [parser_typescript_1.default],
        semi: false,
    })
        .replace(/^;/, '');
};
exports.preRenderCodeExample = function (example) {
    var code = usePrettierToFormatSnippet(react_element_to_jsx_string_1.default(example.Example(), {
        useBooleanShorthandSyntax: true,
    }));
    return {
        code: code,
        playroomUrl: playroom_1.createUrl({ code: code, baseUrl: baseUrl }).replace('/#', '#'),
    };
};
exports.preRenderCodeExamplesToAvoidMinifiedExamplesInProduction = function (doc) { return __awaiter(void 0, void 0, void 0, function () {
    return __generator(this, function (_a) {
        return [2 /*return*/, ({
                props: {
                    codeExamples: doc.examples.map(exports.preRenderCodeExample),
                },
            })];
    });
}); };
var Doc = function (_a) {
    var doc = _a.doc, codeExamples = _a.codeExamples;
    return (react_1.default.createElement(Stack_1.default, { space: 2 },
        react_1.default.createElement(Typography_1.default, { variant: 'h2' }, doc.name),
        doc.examples.map(function (_a, index) {
            var Example = _a.Example, Container = _a.Container, description = _a.description;
            return (react_1.default.createElement(react_1.Fragment, { key: index },
                react_1.default.createElement(Typography_1.default, { variant: 'body1' }, description),
                react_1.default.createElement(Container, null,
                    react_1.default.createElement(Example, null)),
                react_1.default.createElement(Stack_1.default, { space: 1 },
                    react_1.default.createElement(react_syntax_highlighter_1.Prism, { language: 'javascript', style: prism_1.ghcolors, customStyle: { margin: 0, border: '1px solid #ddd' } }, codeExamples[index].code),
                    react_1.default.createElement(Box_1.default, { display: 'flex', justifyContent: 'flex-end' },
                        react_1.default.createElement(Button_1.default, { size: 'small', component: Link_1.default, target: '_blank', startIcon: react_1.default.createElement(PlayCircleOutline_1.default, null), href: codeExamples[index].playroomUrl }, "Run")))));
        })));
};
exports.default = Doc;
