"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var createMuiTheme_1 = __importDefault(require("@material-ui/core/styles/createMuiTheme"));
var theme = createMuiTheme_1.default({
    typography: {
        fontFamily: '"Roboto Mono", monospace',
    },
    overrides: {
        MuiTypography: {
            h1: {
                fontSize: '1.2rem',
                fontWeight: 'bold',
            },
            h2: {
                fontSize: '1rem',
                fontWeight: 'bold',
            },
        },
    },
});
exports.default = theme;
